default: relastro
help:
	@echo "make options: relastro (default)"

include ../../Makefile.System
HOME    =       $(ROOT)/src/relastro
BIN	=	$(HOME)/bin
LIB	=	$(HOME)/lib
SRC	=	$(HOME)/src
MAN	=	$(HOME)/doc
INC	= 	$(HOME)/include
include ../../Makefile.Common

# programs may add their own internal requirements here
FULL_CFLAGS   = $(BASE_CFLAGS)
FULL_CPPFLAGS = $(BASE_CPPFLAGS)
FULL_LDFLAGS  = -lkapa -ldvo -lFITS -lohana $(BASE_LDFLAGS)

relastro: $(BIN)/relastro.$(ARCH)
install: $(DESTBIN)/relastro

RELASTRO = \
$(SRC)/ConfigInit.$(ARCH).o	 \
$(SRC)/FitChip.$(ARCH).o         \
$(SRC)/FitMosaic.$(ARCH).o       \
$(SRC)/FitPM.$(ARCH).o           \
$(SRC)/FitPar.$(ARCH).o          \
$(SRC)/FitPMandPar.$(ARCH).o     \
$(SRC)/FitSimple.$(ARCH).o       \
$(SRC)/ImageOps.$(ARCH).o	 \
$(SRC)/MosaicOps.$(ARCH).o	 \
$(SRC)/ParFactor.$(ARCH).o       \
$(SRC)/SetSignals.$(ARCH).o 	 \
$(SRC)/Shutdown.$(ARCH).o 	 \
$(SRC)/UpdateChips.$(ARCH).o     \
$(SRC)/UpdateMosaic.$(ARCH).o    \
$(SRC)/UpdateObjects.$(ARCH).o   \
$(SRC)/UpdateSimple.$(ARCH).o    \
$(SRC)/args.$(ARCH).o		 \
$(SRC)/bcatalog.$(ARCH).o	 \
$(SRC)/dvo_astrom_ops.$(ARCH).o  \
$(SRC)/fitpoly.$(ARCH).o         \
$(SRC)/initialize.$(ARCH).o	 \
$(SRC)/liststats.$(ARCH).o	 \
$(SRC)/load_catalogs.$(ARCH).o	 \
$(SRC)/load_images.$(ARCH).o	 \
$(SRC)/mkpolyterm.$(ARCH).o      \
$(SRC)/plot_scatter.$(ARCH).o	 \
$(SRC)/plotstuff.$(ARCH).o	 \
$(SRC)/select_images.$(ARCH).o	 \
$(SRC)/relastro.$(ARCH).o	 \
$(SRC)/save_catalogs.$(ARCH).o   \
$(SRC)/setExclusions.$(ARCH).o 	 \
$(SRC)/write_coords.$(ARCH).o

$(RELASTRO): $(INC)/relastro.h $(KAPA_INCS)
$(BIN)/relastro.$(ARCH): $(RELASTRO) $(KAPA_LIBS)
